#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li class="active">&{'daftar.label'} &{'penawaran.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
            #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
            #{if dapatDiselesaikan}
                <a href="#" onclick="openFormSetuju()"
                   class="btn btn-success btn-md"><i
                        class="fa fa-calendar-check-o"></i> &{'selesaikan.label'} &{'permohonan_pembaruan.label'}</a>
            #{/if}
            </div>
        #{alert /}
        #{if dapatDiselesaikan}
            <div class="alert alert-warning alert-dismissible">
                <button class="close" data-dismiss="alert" aria-label="Close">
                    <i class="fa fa-close" aria-hidden="true"></i>
                </button>
                <p>&{'selesaikan_permohonan.label'}</p>
            </div>
        #{/if}
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
        #{list items:penawaran, as:'item'}
            <div class="panel panel-default">
                <div class="panel-body" style="overflow-x:auto;">
                    <span style="font-size: medium"><a href="@{katalog.PermohonanPembaruanCtr.listKontrak(id, item.id)}">${item?.nama_usulan}</a></span>
                </div>
            </div>
        #{/list}
        </div>
    </div>

    <div class="modal fade" id="formPersetujuan" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
    #{form @katalog.PermohonanPembaruanCtr.selesaikanPermohonan(), method:'POST', id:'formSetuju'}
        <div class="modal-dialog modal-md">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title" id="modalTitle">&{'form_persetujuan.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <p>&{'selesaikan.konfirmasi.label'}</p>
                        </div>
                    </div>
                    <input class="form-control permId" value="${id}" id="permId" name="permId" style="display: none"/>
                </div>
                <div class="modal-footer">
                    <button type="button" onclick="submitSetuju()" class="btn btn-primary setuju"
                            id="setuju">&{'ya.label'}</button>&nbsp;
                    <button type="button" class="btn btn-default" data-dismiss="modal">&{'tutup.label'}</button>&nbsp;
                </div>
            </div>
        </div>
    #{/form}
    </div>
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    function openFormSetuju() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#modalTitle').text("&{'konfirmasi.label'}");
        $('#formPersetujuan').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function submitSetuju() {
        $('#formSetuju').submit();
    }
</script>
#{/set}